// 公式设置-多条件公式，转换数据结构，用于接口传惨
export const formulaParamsChange = (addmanyChange: any = {}) => {
  const arr = [];
  addmanyChange.innerConditionExpression.forEach((item, index) => {
    const iobj: any = {
      conditionalValues: `(${addmanyChange.outerConditionValue})`,
      conditionalNames: "条件值",
      currentFormulaType: item.select,
      currentFormulaTwo: "(条件值)"
    };
    if (item.startValue) {
      iobj.currentFormulaOne = `(${item.startValue})`;
    }
    if (item.comparisonStart) {
      iobj.operatorOne = item.comparisonStart;
    }
    if (item.comparisonEnd) {
      iobj.operatorTwo = item.comparisonEnd;
    }
    if (item.endValue) {
      iobj.currentFormulaThree = `(${item.endValue})`;
    }
    if (item.innerScore) {
      iobj.score = item.innerScore;
    }
    if (item.scoreRuleMoreInnerVO && item.scoreRuleMoreInnerVO.length) {
      iobj.nextFormatParams = [];
      item.scoreRuleMoreInnerVO.forEach(el => {
        if (el.scoreRules && el.scoreRules.length) {
          el.scoreRules.forEach(el2 => {
            const eobj: any = {
              conditionalValues: `(${el.innerConditionValue})`,
              conditionalNames: `条件值${index + 1}`,
              currentFormulaType: el2.select,
              currentFormulaTwo: `(条件值${index + 1})`
            };
            if (el2.startValue) {
              eobj.currentFormulaOne = `(${el2.startValue})`;
            }
            if (el2.comparisonStart) {
              eobj.operatorOne = el2.comparisonStart;
            }
            if (el2.comparisonEnd) {
              eobj.operatorTwo = el2.comparisonEnd;
            }
            if (el2.endValue) {
              eobj.currentFormulaThree = `(${el2.endValue})`;
            }
            if (el2.score) {
              eobj.score = el2.score;
            }
            iobj.nextFormatParams.push(eobj);
          });
        }
      });
    }
    arr.push(iobj);
  });
  return arr;
};

// 公式设置-多条件公式，转换数据结构，从接口返回数据后回显
// export const echoParamsChange = (echoChange: any = {}) => {
//   const obj = {}
//   // echoChange.
// }
